package xml;

import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;
import java.awt.event.*;

/**
 * <p>Title: Xetor</p>
 * <p>Description: XML-editor</p>
 * <p>Copyright: Copyright (c) 2004. Licensed under the Academic Free License version 2.0.</p>
 * <p>Company: University of Jyvskyl</p>
 * @author not attributable
 * @version 0.002
 */

public class XetorAddDialog extends JDialog {
  JPanel jPanelDialog = new JPanel();
  JPanel jPanelPlace = new JPanel();
  JPanel jPanelText = new JPanel();
  JPanel jPanelElements = new JPanel();
  JPanel jPanelButtons = new JPanel();
  JPanel jPanelTop = new JPanel();
  String[] data = {"one", "two", "three", "four"};

  JList jListElements = new JList(data);
  BorderLayout borderLayoutElements = new BorderLayout();
  Border border1;
  TitledBorder titledBorder1;
  Border border2;
  TitledBorder titledBorder2;
  Border border3;
  TitledBorder titledBorder3;
  JButton jButtonCancel = new JButton();
  JButton jButtonOk = new JButton();
  Border border4;
  JTextPane jTextPaneText = new JTextPane();
  JRadioButton jRadioButtonBefore = new JRadioButton();
  JRadioButton jRadioButtonAfter = new JRadioButton();
  JRadioButton jRadioButtonInside = new JRadioButton();
  ButtonGroup buttonGroupPlace = new ButtonGroup();
  BorderLayout borderLayoutText = new BorderLayout();
  BoxLayout boxLayoutDialog = new BoxLayout(jPanelDialog, BoxLayout.Y_AXIS);
  Border border5;
  BorderLayout borderLayout1 = new BorderLayout();
  JPanel jPanelButtonsSouth = new JPanel();
  JPanel jPanelButtonsNorth = new JPanel();
  BorderLayout borderLayoutButtons = new BorderLayout();
  GridLayout gridLayoutPlace = new GridLayout();


  public XetorAddDialog(Frame frame, String title, boolean modal) {
    super(frame, title, modal);
    try {
      jbInit();
      pack();
    }
    catch(Exception ex) {
      ex.printStackTrace();
    }
  }

  public XetorAddDialog() {
    this(null, "", false);
  }

  private void jbInit() throws Exception {
    border1 = BorderFactory.createBevelBorder(BevelBorder.RAISED,Color.white,Color.white,new Color(93, 93, 93),new Color(134, 134, 134));
    titledBorder1 = new TitledBorder(new EtchedBorder(EtchedBorder.RAISED,Color.white,new Color(134, 134, 134)),"Insert text");
    border2 = BorderFactory.createBevelBorder(BevelBorder.RAISED,Color.white,Color.white,new Color(93, 93, 93),new Color(134, 134, 134));
    titledBorder2 = new TitledBorder(new EtchedBorder(EtchedBorder.RAISED,Color.white,new Color(134, 134, 134)),"Place");
    border3 = BorderFactory.createBevelBorder(BevelBorder.RAISED,Color.white,Color.white,new Color(93, 93, 93),new Color(134, 134, 134));
    titledBorder3 = new TitledBorder(new EtchedBorder(EtchedBorder.RAISED,Color.white,new Color(134, 134, 134)),"Elements");
    border4 = new EtchedBorder(EtchedBorder.RAISED,Color.white,new Color(134, 134, 134));
    border5 = BorderFactory.createEtchedBorder(Color.white,new Color(178, 178, 178));
    jPanelDialog.setLayout(boxLayoutDialog);
    jPanelTop.setLayout(borderLayout1);
    jPanelPlace.setBackground(Color.lightGray);
    jPanelPlace.setForeground(Color.black);
    jPanelPlace.setBorder(titledBorder2);
    jPanelPlace.setPreferredSize(new Dimension(115, 180));
    jPanelPlace.setLayout(gridLayoutPlace);
    jPanelElements.setBackground(Color.lightGray);
    jPanelElements.setAlignmentX((float) 0.5);
    jPanelElements.setBorder(titledBorder3);
    jPanelElements.setDebugGraphicsOptions(0);
    jPanelElements.setMinimumSize(new Dimension(22, 37));
    jPanelElements.setOpaque(true);
    jPanelElements.setPreferredSize(new Dimension(135, 180));
    jPanelElements.setLayout(borderLayoutElements);
    jListElements.setAutoscrolls(true);
    jListElements.setBorder(border4);
    jListElements.setMaximumSize(new Dimension(100, 100));
    jListElements.setMinimumSize(new Dimension(10, 10));
    jListElements.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
    jPanelButtons.setBackground(Color.lightGray);
    jPanelButtons.setFont(new java.awt.Font("Arial", 0, 11));
    jPanelButtons.setBorder(null);
    jPanelButtons.setPreferredSize(new Dimension(110, 180));
    jPanelButtons.setLayout(borderLayoutButtons);
    jPanelText.setBackground(Color.lightGray);
    jPanelText.setBorder(titledBorder1);
    jPanelText.setPreferredSize(new Dimension(360, 120));
    jPanelText.setLayout(borderLayoutText);
    jButtonCancel.setBackground(Color.lightGray);
    jButtonCancel.setPreferredSize(new Dimension(85, 25));
    jButtonCancel.setMnemonic('C');
    jButtonCancel.setText("Cancel");
    jButtonOk.setBackground(Color.lightGray);
    jButtonOk.setPreferredSize(new Dimension(85, 25));
    jButtonOk.setHorizontalAlignment(SwingConstants.CENTER);
    jButtonOk.setMargin(new Insets(2, 14, 2, 14));
    jButtonOk.setMnemonic('O');
    jButtonOk.setText("OK");
    jButtonOk.setVerticalAlignment(javax.swing.SwingConstants.CENTER);

    jButtonOk.addActionListener(new ActionListener() {
    public void actionPerformed(ActionEvent e) {
        dispose();
      }
    });

    jButtonCancel.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent e) {
        dispose();
      }
    });


    jTextPaneText.setBorder(border5);
    jTextPaneText.setPreferredSize(new Dimension(350, 100));
    jTextPaneText.setCaretPosition(0);
    jTextPaneText.setText("");
    jRadioButtonBefore.setBackground(Color.lightGray);
    jRadioButtonBefore.setText("Before");
    jRadioButtonAfter.setBackground(Color.lightGray);
    jRadioButtonAfter.setText("After");
    jRadioButtonInside.setBackground(Color.lightGray);
    jRadioButtonInside.setSelected(true);
    jRadioButtonInside.setText("Inside");
    jPanelDialog.setMaximumSize(new Dimension(800, 600));
    jPanelDialog.setMinimumSize(new Dimension(75, 100));
    jPanelDialog.setPreferredSize(new Dimension(360, 300));
    this.setModal(true);
    this.setTitle("Add");
    jPanelTop.setPreferredSize(new Dimension(400, 190));
    gridLayoutPlace.setColumns(1);
    gridLayoutPlace.setRows(5);
    jPanelButtonsSouth.setBackground(Color.lightGray);
    jPanelButtonsNorth.setBackground(Color.lightGray);
    getContentPane().add(jPanelDialog);
    jPanelDialog.add(jPanelTop);
    jPanelDialog.add(jPanelText);
    jPanelPlace.add(jRadioButtonBefore, null);
    jPanelPlace.add(jRadioButtonInside, null);
    jPanelPlace.add(jRadioButtonAfter, null);
    jPanelText.add(jTextPaneText,  BorderLayout.CENTER);
    jPanelTop.add(jPanelElements, BorderLayout.WEST);
    jPanelElements.add(jListElements, BorderLayout.CENTER);
    jPanelTop.add(jPanelPlace, BorderLayout.CENTER);
    jPanelButtons.add(jPanelButtonsNorth, BorderLayout.NORTH);
    jPanelButtons.add(jPanelButtonsSouth, BorderLayout.CENTER);
    jPanelButtonsSouth.add(jButtonOk, null);
    jPanelButtonsSouth.add(jButtonCancel, null);
    jPanelTop.add(jPanelButtons, BorderLayout.EAST);
    buttonGroupPlace.add(jRadioButtonBefore);
    buttonGroupPlace.add(jRadioButtonAfter);
    buttonGroupPlace.add(jRadioButtonInside);
  }
}
